﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;
using System.Data;

public partial class Default2 : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected void RadGrid1_ItemCreated(object sender, Telerik.Web.UI.GridItemEventArgs e)
    {
        if (e.Item is GridPagerItem)
        {
            GridPagerItem item = e.Item as GridPagerItem;
            RadComboBox combo = item.FindControl("PageSizeComboBox") as RadComboBox;
            combo.AutoPostBack = true;
            combo.SelectedIndexChanged += new RadComboBoxSelectedIndexChangedEventHandler(combo_SelectedIndexChanged);
        }
    }

    void combo_SelectedIndexChanged(object o, RadComboBoxSelectedIndexChangedEventArgs e)
    {
        RadGrid1.PageSize = int.Parse((o as RadComboBox).SelectedValue);
        RadGrid1.Rebind();
    }
    protected void RadGrid1_ItemDataBound(object sender, GridItemEventArgs e)
    {
        if (e.Item is GridPagerItem)
        {
            GridPagerItem item = e.Item as GridPagerItem;
            RadComboBox combo = item.FindControl("PageSizeComboBox") as RadComboBox;
            combo.Items.Clear();
            for (int i = 1; i < 6; i++)
            {
                combo.Items.Add(new RadComboBoxItem((i * 2).ToString(), (i * 2).ToString()));
            }
            combo.SelectedValue = RadGrid1.MasterTableView.PageSize.ToString();
        }
    }
    protected void RadGrid1_NeedDataSource(object source, GridNeedDataSourceEventArgs e)
    {
        DataTable table = new DataTable();
        table.Columns.Add("Column1");
        table.Columns.Add("Column2");
        table.Columns.Add("Column3");
        for (int i = 0; i < 100; i++)
        {
            table.Rows.Add("Column1" + i, "Column2" + i, "Column3" + i);
        }
        RadGrid1.DataSource = table;
    }
}
